Page MenuHomePhabricator

Use $1 of the message "abusefilter-edit-lastmod-text" as the text for a link pointing to the latest change in the filter
Closed, ResolvedPublic

Description

Currently, the content of (the English version of) [[MediaWiki:abusefilter-edit-lastmod-text]] is "$1 by $2".

I suggest changing this to something like

[[Special:AbuseFilter/history/<filterId>/diff/prev/<changeId>|$1]] by $2

so that the user can go directly to the latest change in the filter by following this link.

See Also:

Details

Reference
bz51382

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:58 AM
bzimport set Reference to bz51382.
bzimport added a subscriber: Unknown Object (MLST).
He7d3r created this task.Jul 15 2013, 6:31 PM

Should I just add it to the AbuseFilter.i18n.php ? or write separate code for it to work like https://gerrit.wikimedia.org/r/#/c/87701/ ?

He7d3r updated the task description. (Show Details)Dec 22 2015, 1:27 PM
He7d3r set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 22 2015, 1:27 PM
IoannisKydonis added a subscriber: IoannisKydonis.

I will do it.

Change 265467 had a related patch set uploaded (by IoannisKydonis):
Add link to abusefilter-edit-lastmod-text

https://gerrit.wikimedia.org/r/265467

Framawiki moved this task from Backlog to Doing on the good first bug board.Dec 2 2017, 1:39 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptDec 2 2017, 1:39 PM
Huji added a subscriber: Huji.EditedMar 8 2018, 3:21 AM

If anything, it should link to the latest version, not a diff of the latest version and the one before. There is nothing in the link text that implies it should be a diff, and the text that comes before it "Filter last modified" also does not imply a diff.

Something like [[[[Special:AbuseFilter/filterid|$1]] by $2 would be acceptable, only because if you are looking at an older version (e.g. if you are in Special:AbuseFilter/history/X/item/Y) you can go to the latest version with just one click.

Apparently, this message is used in multiple places: in the fifth column on Special:AbuseFilter and below filter notes when editing a filter. Still, I believe this change is ok for either place (except for the list of global filters when displayed remotely).

Huji closed this task as Resolved.Jul 26 2018, 10:41 PM
Huji removed projects: Patch-For-Review, I18n.

Change 265467 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Add link to abusefilter-edit-lastmod-text

https://gerrit.wikimedia.org/r/265467